hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From omal...@apache.org
Subject svn commit: r1077375 - /hadoop/common/branches/branch-0.20-security-patches/src/test/bin/runScript.sh
Date Fri, 04 Mar 2011 04:08:47 GMT
Author: omalley
Date: Fri Mar  4 04:08:47 2011
New Revision: 1077375

URL: http://svn.apache.org/viewvc?rev=1077375&view=rev
Log:
commit eadbb408a0b3b1643f18d89c04b0eddaf31d3f6c
Author: Jeffrey Bowles <jab@yahoo-inc.com>
Date:   Fri Apr 9 10:02:29 2010 -0700

    adding SVN / GIT support.

Modified:
    hadoop/common/branches/branch-0.20-security-patches/src/test/bin/runScript.sh

Modified: hadoop/common/branches/branch-0.20-security-patches/src/test/bin/runScript.sh
URL: http://svn.apache.org/viewvc/hadoop/common/branches/branch-0.20-security-patches/src/test/bin/runScript.sh?rev=1077375&r1=1077374&r2=1077375&view=diff
==============================================================================
--- hadoop/common/branches/branch-0.20-security-patches/src/test/bin/runScript.sh (original)
+++ hadoop/common/branches/branch-0.20-security-patches/src/test/bin/runScript.sh Fri Mar
 4 04:08:47 2011
@@ -8,21 +8,30 @@ then
 	echo "No arguments given. Exiting." 1>&2
 	exit 1
 fi
-if [ "$GIT_REPO_NOT_NECESSARY" != true ]
-then
-	if [ -z "$GIT_REPO" ]
+	if [ -z "$GIT_REPO" -a -z "$SVN_REPO" ]
 	then
-		echo "Serious error: GIT_REPO was not specified." 1>&2
+		echo "Serious error: neither SVN_REPO nor GIT_REPO were specified." 1>&2
 		exit 1
 	fi
-	if [ -d hudson ]
+	if [ -n "$GIT_REPO" -a -n "$SVN_REPO" ]
 	then
-	    (cd hudson && git pull)
-	else
-	    # git clone ssh://gwbl2001.blue.ygrid.yahoo.com/grid/0/gs/gridre/hudson.git
-	    git clone $GIT_REPO
+		echo "Serious error: both SVN_REPO and GIT_REPO were specified." 1>&2
+		exit 1
+	fi
+	if [ -n "$GIT_REPO" ]
+	then
+		if [ -d hudson ]
+		then
+	    		(cd hudson && git pull)
+		else
+	    	# git clone ssh://gwbl2001.blue.ygrid.yahoo.com/grid/0/gs/gridre/hudson.git
+	    	git clone $GIT_REPO
+		fi
+	fi
+	if [ -n "$SVN_REPO" ]
+	then
+		svn co $SVN_REPO
 	fi
-fi
 
 echo  ============  hostname = `hostname`
 



Mime
View raw message